Update a message
PATCH
Update a message
inbox_identifier*stringThe identifier obtained from API inbox channel
contact_identifier*stringThe source id of contact obtained on contact create
conversation_id*integerThe numeric ID of the conversation
message_id*integerThe numeric ID of the message
application/json- body
submitted_values?Replies to the Bot Message Types
Success
application/json- response
id?integerId of the message
content?|Text content of the message. Can be null for attachment-only messages.
message_type?integerDenotes the message type. Possible values: 0 (incoming), 1 (outgoing), 2 (activity), 3 (template)
content_type?stringContent type of the message
content_attributes?Additional content attributes of the message
created_at?integerCreated at Unix timestamp of the message
conversation_id?integerDisplay Id of the conversation the message belongs to
attachments?array<>Attachments if any
sender?Polymorphic sender payload returned by push_event_data. Available fields vary by sender type.
curl -X PATCH 'https://helpdesk.inclamo.com/public/api/v1/inboxes/string/contacts/string/conversations/0/messages/0' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "id": 0, "content": "string", "message_type": 0, "content_type": "string", "content_attributes": {}, "created_at": 0, "conversation_id": 0, "attachments": [ { "id": 0, "message_id": 0, "file_type": "image", "account_id": 0, "extension": "string", "data_url": "string", "thumb_url": "string", "file_size": 0, "width": 0, "height": 0, "coordinates_lat": 0, "coordinates_long": 0, "fallback_title": "string", "meta": {}, "transcribed_text": "string" } ], "sender": { "id": 0, "name": "string", "avatar_url": "string", "thumbnail": "string", "type": "contact", "available_name": "string", "availability_status": "string", "email": "string", "phone_number": "string", "identifier": "string", "blocked": true, "additional_attributes": {}, "custom_attributes": {}, "description": "string", "created_at": "string" }}